com.threerings.micasa.lobby

## Interface LobbyService.LobbiesListener

All Superinterfaces:
  com.threerings.presents.client.InvocationService.InvocationListener

All Known Implementing Classes:
  LobbyMarshaller.LobbiesMarshaller, LobbySelector

Enclosing interface:
  LobbyService

    public static interface LobbyService.LobbiesListener
    extends com.threerings.presents.client.InvocationService.InvocationListener

Used to communicate the results of a `LobbyService.getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `gotLobbies(List<Lobby> lobbies)` Supplies the listener with the results of a `LobbyService.getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.

### Methods inherited from interface com.threerings.presents.client.InvocationService.InvocationListener

`requestFailed`

### Method Detail

#### gotLobbies

    void gotLobbies(List<Lobby> lobbies)

Supplies the listener with the results of a `LobbyService.getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.